Bug 1878254 (rust-ghash) - Review Request: rust-ghash - Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher
Summary: Review Request: rust-ghash - Universal hash over GF(2^128) useful for constru...
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-ghash
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: rust-polyval
Blocks: PARSEC rust-aes-gcm
TreeView+ depends on / blocked
 
Reported: 2020-09-11 17:30 UTC by Peter Robinson
Modified: 2020-09-14 13:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-14 13:48:01 UTC
Type: Bug
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2020-09-11 17:30:44 UTC
SPEC: https://pbrobinson.fedorapeople.org/rust-ghash.spec
SRPM: https://pbrobinson.fedorapeople.org/rust-ghash-0.3.0-1.fc32.src.rpm

Description:
Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher

FAS: pbrobinson

Comment 1 Peter Robinson 2020-09-14 07:16:11 UTC
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=51424511

Comment 2 Jared Smith 2020-09-14 12:45:56 UTC
The summary is too long, but otherwise the package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0",
     "Expat License". 8 files have unknown license. Detailed output of
     licensecheck in /tmp/1878254-rust-ghash/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rust-
     ghash-devel , rust-ghash+default-devel , rust-ghash+std-devel , rust-
     ghash+zeroize-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rust-ghash-devel-0.3.0-1.fc34.noarch.rpm
          rust-ghash+default-devel-0.3.0-1.fc34.noarch.rpm
          rust-ghash+std-devel-0.3.0-1.fc34.noarch.rpm
          rust-ghash+zeroize-devel-0.3.0-1.fc34.noarch.rpm
          rust-ghash-0.3.0-1.fc34.src.rpm
rust-ghash-devel.noarch: E: summary-too-long C Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher
rust-ghash-devel.noarch: W: invalid-url URL: https://crates.io/crates/ghash HTTP Error 404: Not Found
rust-ghash-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/ghash-0.3.0/.cargo-checksum.json
rust-ghash+default-devel.noarch: E: summary-too-long C Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher
rust-ghash+default-devel.noarch: W: spelling-error %description -l en_US ghash -> gash, hash, gnash
rust-ghash+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/ghash HTTP Error 404: Not Found
rust-ghash+default-devel.noarch: W: no-documentation
rust-ghash+std-devel.noarch: E: summary-too-long C Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher
rust-ghash+std-devel.noarch: W: spelling-error %description -l en_US ghash -> gash, hash, gnash
rust-ghash+std-devel.noarch: W: invalid-url URL: https://crates.io/crates/ghash HTTP Error 404: Not Found
rust-ghash+std-devel.noarch: W: no-documentation
rust-ghash+zeroize-devel.noarch: E: summary-too-long C Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher
rust-ghash+zeroize-devel.noarch: W: spelling-error %description -l en_US zeroize -> terrorize, zero
rust-ghash+zeroize-devel.noarch: W: spelling-error %description -l en_US ghash -> gash, hash, gnash
rust-ghash+zeroize-devel.noarch: W: invalid-url URL: https://crates.io/crates/ghash HTTP Error 404: Not Found
rust-ghash+zeroize-devel.noarch: W: no-documentation
rust-ghash.src: E: summary-too-long C Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher
rust-ghash.src: W: invalid-url URL: https://crates.io/crates/ghash HTTP Error 404: Not Found
5 packages and 0 specfiles checked; 5 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
rust-ghash-devel.noarch: E: summary-too-long C Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher
rust-ghash-devel.noarch: W: invalid-url URL: https://crates.io/crates/ghash <urlopen error [Errno -3] Temporary failure in name resolution>
rust-ghash-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/ghash-0.3.0/.cargo-checksum.json
rust-ghash+zeroize-devel.noarch: E: summary-too-long C Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher
rust-ghash+zeroize-devel.noarch: W: spelling-error %description -l en_US zeroize -> terrorize, zero
rust-ghash+zeroize-devel.noarch: W: spelling-error %description -l en_US ghash -> gash, hash, gnash
rust-ghash+zeroize-devel.noarch: W: invalid-url URL: https://crates.io/crates/ghash <urlopen error [Errno -3] Temporary failure in name resolution>
rust-ghash+zeroize-devel.noarch: W: no-documentation
rust-ghash+std-devel.noarch: E: summary-too-long C Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher
rust-ghash+std-devel.noarch: W: spelling-error %description -l en_US ghash -> gash, hash, gnash
rust-ghash+std-devel.noarch: W: invalid-url URL: https://crates.io/crates/ghash <urlopen error [Errno -3] Temporary failure in name resolution>
rust-ghash+std-devel.noarch: W: no-documentation
rust-ghash+default-devel.noarch: E: summary-too-long C Universal hash over GF(2^128) useful for constructing a Message Authentication Code (MAC), as in the AES-GCM authenticated encryption cipher
rust-ghash+default-devel.noarch: W: spelling-error %description -l en_US ghash -> gash, hash, gnash
rust-ghash+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/ghash <urlopen error [Errno -3] Temporary failure in name resolution>
rust-ghash+default-devel.noarch: W: no-documentation
4 packages and 0 specfiles checked; 4 errors, 12 warnings.



Source checksums
----------------
https://crates.io/api/v1/crates/ghash/0.3.0/download#/ghash-0.3.0.crate :
  CHECKSUM(SHA256) this package     : d6e27f0689a6e15944bdce7e45425efb87eaa8ab0c6e87f11d0987a9133e2531
  CHECKSUM(SHA256) upstream package : d6e27f0689a6e15944bdce7e45425efb87eaa8ab0c6e87f11d0987a9133e2531


Requires
--------
rust-ghash-devel (rpmlib, GLIBC filtered):
    (crate(polyval/default) >= 0.4.0 with crate(polyval/default) < 0.5.0)
    cargo

rust-ghash+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(ghash)

rust-ghash+std-devel (rpmlib, GLIBC filtered):
    (crate(polyval/std) >= 0.4.0 with crate(polyval/std) < 0.5.0)
    cargo
    crate(ghash)

rust-ghash+zeroize-devel (rpmlib, GLIBC filtered):
    (crate(zeroize) >= 1.0.0 with crate(zeroize) < 2.0.0)
    cargo
    crate(ghash)



Provides
--------
rust-ghash-devel:
    crate(ghash)
    rust-ghash-devel

rust-ghash+default-devel:
    crate(ghash/default)
    rust-ghash+default-devel

rust-ghash+std-devel:
    crate(ghash/std)
    rust-ghash+std-devel

rust-ghash+zeroize-devel:
    crate(ghash/zeroize)
    rust-ghash+zeroize-devel



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1878254 -L local/
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Java, C/C++, PHP, Perl, Python, Ocaml, Haskell, fonts, SugarActivity, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Built with local dependencies:
    /tmp/local/rust-polyval-devel-0.4.0-1.fc34.noarch.rpm
    /tmp/local/rust-polyval+zeroize-devel-0.4.0-1.fc34.noarch.rpm
    /tmp/local/rust-polyval+std-devel-0.4.0-1.fc34.noarch.rpm
    /tmp/local/rust-polyval+default-devel-0.4.0-1.fc34.noarch.rpm

Comment 3 Gwyn Ciesla 2020-09-14 13:25:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-ghash


Note You need to log in before you can comment on or make changes to this bug.